Bug 169490 - Marvell Technology Group Ltd. 88E8053 Gigabit Ethernet Controller
Marvell Technology Group Ltd. 88E8053 Gigabit Ethernet Controller
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-28 15:57 EDT by W Agtail
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 14:45:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W Agtail 2005-09-28 15:57:19 EDT
Hi
Any chance of including an updated sk98lin module in the kernel please?
I've been using an updated version of sk98lin for quite some time (a few months
or so, without any issues).

This version: http://www.syskonnect.de/syskonnect/support/driver/htm/sk9elin.htm

is required to to support this NIC (lspci -vvv):
02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8053 Gigabit
Ethernet Controller (rev 19)
        Subsystem: Giga-byte Technology Marvell 88E8053 Gigabit Ethernet
Controller (Gigabyte)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size 08
        Interrupt: pin A routed to IRQ 217
        Region 0: Memory at f1000000 (64-bit, non-prefetchable) [size=16K]
        Region 2: I/O ports at c000 [size=256]
        Capabilities: [48] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [50] Vital Product Data
        Capabilities: [5c] Message Signalled Interrupts: 64bit+ Queue=0/1 Enable-
                Address: 0000000000000000  Data: 0000
        Capabilities: [e0] Express Legacy Endpoint IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s unlimited, L1 unlimited
                Device: AtnBtn- AtnInd- PwrInd-
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr+ NoSnoop-
                Device: MaxPayload 128 bytes, MaxReadReq 2048 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s, Port 3
                Link: Latency L0s <256ns, L1 unlimited
                Link: ASPM Disabled RCB 128 bytes CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x1

The default driver/module in the kernel doesn't suport this NIC.

Many thanks
W Agtail
Comment 1 Dave Jones 2005-09-30 06:48:09 EDT
The sk98lin driver is going away in future kernels in favour of the skge module.

can you try that, and see if it works ? Be sure to run the latest errata kernel
first.
Comment 2 W Agtail 2005-10-07 15:32:16 EDT
Hi there and thanks for the info.

I've applied all latest errata and running kernel:
Linux tux 2.6.13-1.1526_FC4 #1 Wed Sep 28 19:15:04 EDT 2005 x86_64 x86_64 x86_64
GNU/Linux

The skge module appears to load succesfully using modprobe skge:
> lsmod | grep skge
skge                   46801  0

However, ifconfig -a doesn't show my 2nd NIC (see lspci above), thus unable to
start eth1:
l> ifup eth1
skge device eth1 does not seem to be present, delaying initialization.

> modinfo skge
filename:       /lib/modules/2.6.13-1.1526_FC4/kernel/drivers/net/skge.ko
parm:           debug:Debug level (0=none,...,16=all)
parmtype:       debug:int
version:        0.8
license:        GPL
author:         Stephen Hemminger <shemminger@osdl.org>
description:    SysKonnect Gigabit Ethernet driver
srcversion:     0C8443EFE891822877C3768
alias:          pci:v00001737d00001064sv*sd*bc*sc*i*
alias:          pci:v00001737d00001032sv*sd*bc*sc*i*
alias:          pci:v00001371d0000434Esv*sd*bc*sc*i*
alias:          pci:v000011ABd00005005sv*sd*bc*sc*i*
alias:          pci:v000011ABd00004320sv*sd*bc*sc*i*
alias:          pci:v00001186d00004C00sv*sd*bc*sc*i*
alias:          pci:v00001148d00004320sv*sd*bc*sc*i*
alias:          pci:v00001148d00004300sv*sd*bc*sc*i*
alias:          pci:v000010B7d000080EBsv*sd*bc*sc*i*
alias:          pci:v000010B7d00001700sv*sd*bc*sc*i*
depends:
vermagic:       2.6.13-1.1526_FC4 gcc-4.0

Would there be a higher revision of the skge module available that I could try?
Any other ideas?

Many thanks.

W Agtail
Comment 3 Dave Jones 2005-11-10 14:28:21 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 W Agtail 2005-11-16 13:58:08 EST
Hi and thanks for your reply.
I've upgraded to:
root> date
Wed Nov 16 18:52:31 GMT 2005

root> uname -r -p
2.6.14-1.1637_FC4 x86_64

However, I am still unable to see eth1 - see info below. Any ideas?
Many thanks W. Agtail.

root> modinfo skge   # NB: VERSION is now 1.1 (up from 0.8)
filename:       /lib/modules/2.6.14-1.1637_FC4/kernel/drivers/net/skge.ko
parm:           debug:Debug level (0=none,...,16=all)
parmtype:       debug:int
version:        1.1
license:        GPL
author:         Stephen Hemminger <shemminger@osdl.org>
description:    SysKonnect Gigabit Ethernet driver
srcversion:     E3ECAFAE19D2693A0E3BC71
alias:          pci:v00001737d00001032sv*sd00000015bc*sc*i*
alias:          pci:v00001737d00001064sv*sd*bc*sc*i*
alias:          pci:v00001371d0000434Esv*sd*bc*sc*i*
alias:          pci:v000011ABd00005005sv*sd*bc*sc*i*
alias:          pci:v000011ABd00004320sv*sd*bc*sc*i*
alias:          pci:v00001186d00004C00sv*sd*bc*sc*i*
alias:          pci:v00001148d00004320sv*sd*bc*sc*i*
alias:          pci:v00001148d00004300sv*sd*bc*sc*i*
alias:          pci:v000010B7d000080EBsv*sd*bc*sc*i*
alias:          pci:v000010B7d00001700sv*sd*bc*sc*i*
depends:
vermagic:       2.6.14-1.1637_FC4 gcc-4.0

root> lsmod | grep sk   # NB: skge not loaded so far

root> modprobe skge     # NB: now skge gets loaded
root> lsmod | grep sk
skge                   42449  0

root> ifconfig -a       # NB: I still don't see the expected eth1
eth0      Link encap:Ethernet  HWaddr 00:0F:EA:8A:84:14
          inet addr:192.168.0.20  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::20f:eaff:fe8a:8414/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:14914 errors:0 dropped:0 overruns:0 frame:0
          TX packets:16213 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:1421706 (1.3 MiB)  TX bytes:12761710 (12.1 MiB)
          Interrupt:50 Base address:0xc000

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:3081 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3081 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:3387871 (3.2 MiB)  TX bytes:3387871 (3.2 MiB)

sit0      Link encap:IPv6-in-IPv4
          NOARP  MTU:1480  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
Comment 5 W Agtail 2005-11-18 19:41:46 EST
Hi, this may be more useful?

rootl> lspci -n|grep 02:00.0
02:00.0 Class 0200: 11ab:4362 (rev 19)

thanks again..
Comment 6 Scott Dodson 2006-01-10 08:34:00 EST
SKGE is not picking up my Marvell 88E8050 nic either.  I used to compile sk98lin
module from syskonnect but now it fails to compile against later FC4 kernels or
those found in rawhide.  PCI-ID is 11ab:4361. This is onboard nic in a Gateway
2000 E4300.
Comment 7 John W. Linville 2006-01-13 09:50:08 EST
That hardware is covered by the sky2 (i.e. not skge) driver -- sorry for the 
confusion! 
 
Unfortunately, the sky2 driver is not yet available in FC4.  However, it is 
available in the FC4-netdev kernels: 
 
   http://people.redhat.com/linville/kernels/fedora-netdev/ 
 
Please give those a try, and post the results here...thanks! 
Comment 8 W Agtail 2006-01-19 16:49:25 EST
Hi there, no problem. I've tried the sky2 driver, but not much success:
1) The driver loads OK.
2) I see link up/down messages
3) Unable to ping or connect through NIC (eth1) in my case.
4) have tried 1000Mb/s & 100Mb/s
5) Am using a normal CAT5 cable (no cross-over required these days)
6) Connecting back 2 back from:
     server2 sky2(eth1) <------------> (eth1)e1000 server1

Any ideas? here's some info (MACs & IPs taken out):

many thanks

root@> ifconfig eth1
eth1      Link encap:Ethernet  HWaddr 
          inet addr:  Bcast:  Mask:
          inet6 addr: fe80::20f:eaff:fe8a:8428/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:28 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:2431 (2.3 KiB)
          Interrupt:217

root@l> uname -a
Linux tux 2.6.14-1.1656_FC4.netdev.8 #1 Wed Jan 11 23:24:33 EST 2006 x86_64
x86_64 x86_64 GNU/Linux

root@l> date
Thu Jan 19 21:36:15 GMT 2006

root@> lsmod | grep sky2
sky2                   42945  0

root@> grep eth1 /etc/modprobe.conf
alias eth1 sky2

root@l> ethtool eth1
Settings for eth1:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Half 1000baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Half 1000baseT/Full
        Advertised auto-negotiation: Yes
        Speed: 100Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: off
        Supports Wake-on: g
        Wake-on: d
        Current message level: 0x000002ff (767)
        Link detected: yes


Jan 19 20:40:07 tux kernel: sky2 v0.11 addr 0xf3000000 irq 217 Yukon-EC (0xb6) rev 1
Jan 19 20:40:07 tux kernel: sky2 eth1: addr
Jan 19 20:40:12 tux kernel: sky2 eth1: enabling interface
Jan 19 20:40:12 tux kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready
Jan 19 20:43:27 tux kernel: sky2 eth1: phy interrupt status 0x7040 0xb900
Jan 19 20:43:27 tux kernel: sky2 eth1: phy interrupt status 0xc00 0xac00
Jan 19 20:43:27 tux kernel: sky2 eth1: Link is up at 1000 Mbps, full duplex,
flow control none
Jan 19 20:43:27 tux kernel: ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
Jan 19 20:57:11 tux kernel: sky2 v0.11 addr 0xf3000000 irq 217 Yukon-EC (0xb6) rev 1
Jan 19 20:57:11 tux kernel: sky2 eth1: addr
Jan 19 20:57:17 tux kernel: sky2 eth1: enabling interface
Jan 19 20:57:17 tux kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready
Jan 19 20:57:17 tux kernel: sky2 eth1: phy interrupt status 0x7040 0xb940
Jan 19 20:57:17 tux kernel: sky2 eth1: phy interrupt status 0xc00 0xac40
Jan 19 20:57:17 tux kernel: sky2 eth1: Link is up at 1000 Mbps, full duplex,
flow control none
Jan 19 20:57:17 tux kernel: ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
Jan 19 21:00:44 tux kernel: sky2 v0.11 addr 0xf3000000 irq 217 Yukon-EC (0xb6) rev 1
Jan 19 21:00:44 tux kernel: sky2 eth1: addr
Jan 19 21:00:50 tux kernel: sky2 eth1: enabling interface
Jan 19 21:00:50 tux kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready
Jan 19 21:00:50 tux kernel: sky2 eth1: phy interrupt status 0x7040 0xb900
Jan 19 21:00:50 tux kernel: sky2 eth1: phy interrupt status 0xc00 0xac00
Jan 19 21:00:50 tux kernel: sky2 eth1: Link is up at 1000 Mbps, full duplex,
flow control none
Jan 19 21:00:51 tux kernel: ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
Jan 19 21:08:50 tux kernel: sky2 eth1: phy interrupt status 0x440 0x6d40
Jan 19 21:08:50 tux kernel: sky2 eth1: Link is up at 100 Mbps, full duplex, flow
control none
Jan 19 21:09:09 tux kernel: sky2 eth1: phy interrupt status 0x700 0x6940
Jan 19 21:09:09 tux kernel: sky2 eth1: Link is down.
Jan 19 21:09:10 tux kernel: sky2 eth1: phy interrupt status 0x400 0x6d40
Jan 19 21:09:10 tux kernel: sky2 eth1: Link is up at 100 Mbps, full duplex, flow
control none
Jan 19 21:20:25 tux kernel: device eth1 entered promiscuous mode
Jan 19 21:22:48 tux kernel: sky2 eth1: phy interrupt status 0x700 0x6940
Jan 19 21:22:48 tux kernel: sky2 eth1: Link is down.
Jan 19 21:22:58 tux kernel: sky2 eth1: phy interrupt status 0x440 0x6d40
Jan 19 21:22:58 tux kernel: sky2 eth1: Link is up at 100 Mbps, full duplex, flow
control none
Jan 19 21:23:13 tux kernel: sky2 eth1: phy interrupt status 0x700 0x6940
Jan 19 21:23:13 tux kernel: sky2 eth1: Link is down.
Jan 19 21:23:22 tux kernel: sky2 eth1: phy interrupt status 0x440 0x6d40
Jan 19 21:23:22 tux kernel: sky2 eth1: Link is up at 100 Mbps, full duplex, flow
control none
Comment 9 Scott Dodson 2006-01-24 16:03:29 EST
Updated to 2.6.15-1.1871_FC5 and the sky2 driver is now included and working
without problems.
Comment 10 Dave Jones 2006-02-03 01:44:34 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 11 W Agtail 2006-02-04 14:55:32 EST
Hi, I'm currently on FC4, will 2.6.15-1.1871 become available for FC4?
sky2 isn't available in 2.6.15-1.1830_FC4.

Thanks

Comment 12 John W. Linville 2006-02-06 10:10:36 EST
I don't know if/when sky2 will ever be in an official Fedora kernel.  It is,   
however, available in the Fedora-netdev kernels:   
   
   http://people.redhat.com/linville/kernels/fedora-netdev/   
   
The version in 2.6.15-1.1830_FC4.netdev.9 is identical to the version in 
2.6.15-1.1871. 
 
Do the FC4.netdev.9 kernels work for you? 
Comment 13 Scott Dodson 2006-02-07 15:35:40 EST
netdev.9 works for me on my Gateway E4300 with embedded Marvell 88E8050.
Comment 14 John W. Linville 2006-03-09 14:45:12 EST
I'm going to close this, since sky2 is available in rawhide and will be in 
FC5. 

Note You need to log in before you can comment on or make changes to this bug.